Package org.postgis

## Class PGgeometryLW

- java.lang.Object
- - org.postgresql.util.PGobject
  - - org.postgis.PGgeometry
    - - org.postgis.PGgeometryLW

All Implemented Interfaces:
  `Serializable`, `Cloneable`

    public class PGgeometryLW
    extends PGgeometry

This is a subclas of PGgeometry that uses hex encoded EWKB to communicate with the backend, which is much more efficient, but only works with Lwgeom enabled PostGIS (1.0.0 and up).

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.postgis.PGgeometry

`SRIDPREFIX`

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

### Constructor Summary

Constructors
`PGgeometryLW()`
`PGgeometryLW​(String value)`
`PGgeometryLW​(Geometry geom)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`String` `getValue()`
`String` `toString()`

### Methods inherited from class org.postgis.PGgeometry

`geomFromString, geomFromString, geomFromString, geomFromString, getGeometry, getGeoType, setGeometry, setValue, splitSRID`

### Methods inherited from class org.postgresql.util.PGobject

`equals, getType, hashCode, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PGgeometryLW

    public PGgeometryLW()

#### PGgeometryLW

    public PGgeometryLW​(Geometry geom)

#### PGgeometryLW

    public PGgeometryLW​(String value)
                 throws SQLException

Throws:
  `SQLException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `PGgeometry`

#### getValue

    public String getValue()

Overrides:
  `getValue` in class `PGgeometry`

#### clone

    public Object clone()

Overrides:
  `clone` in class `PGgeometry`